Users
Returns a list of all users.
Args: user_filter_model: Model that takes care of filtering, sorting and pagination. hydrate: Flag deciding whether to hydrate the output model(s) by including metadata fields in the response. auth_context: Authentication context.
Returns: A list of all users.
falsecreatedLogical Ops to use to combine filters on list methods.
andPossible values: 120Successful Response
Unauthorized
Not Found
Unprocessable Entity
GET /api/v1/users HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
"index": 1,
"max_size": 1,
"total_pages": 1,
"total": 1,
"items": [
{
"body": {
"created": "2026-01-01T00:00:00.000Z",
"updated": "2026-01-01T00:00:00.000Z",
"active": false,
"activation_token": "text",
"full_name": "",
"email_opted_in": true,
"is_service_account": true,
"is_admin": true,
"default_project_id": "123e4567-e89b-12d3-a456-426614174000",
"avatar_url": "text"
},
"metadata": {
"password_changed_at": "2026-01-01T00:00:00.000Z",
"email": "",
"external_user_id": "123e4567-e89b-12d3-a456-426614174000",
"user_metadata": {
"ANY_ADDITIONAL_PROPERTY": "anything"
}
},
"resources": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"id": "123e4567-e89b-12d3-a456-426614174000",
"permission_denied": false,
"name": "text"
}
]
}Returns a specific user.
Args: user_name_or_id: Name or ID of the user. hydrate: Flag deciding whether to hydrate the output model(s) by including metadata fields in the response. auth_context: Authentication context.
Returns: A specific user.
trueSuccessful Response
Response model for user and service accounts.
This returns the activation_token that is required for the user-invitation-flow of the frontend. The email is returned optionally as well for use by the analytics on the client-side.
falseUnauthorized
Not Found
Unprocessable Entity
GET /api/v1/users/{user_name_or_id} HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
"body": {
"created": "2026-01-01T00:00:00.000Z",
"updated": "2026-01-01T00:00:00.000Z",
"active": false,
"activation_token": "text",
"full_name": "",
"email_opted_in": true,
"is_service_account": true,
"is_admin": true,
"default_project_id": "123e4567-e89b-12d3-a456-426614174000",
"avatar_url": "text"
},
"metadata": {
"password_changed_at": "2026-01-01T00:00:00.000Z",
"email": "",
"external_user_id": "123e4567-e89b-12d3-a456-426614174000",
"user_metadata": {
"ANY_ADDITIONAL_PROPERTY": "anything"
}
},
"resources": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"id": "123e4567-e89b-12d3-a456-426614174000",
"permission_denied": false,
"name": "text"
}Last updated
Was this helpful?